Vaults V1

Get V1 vault state

Live state of a Morpho Vault V1: total assets and shares, withdrawable assets, and RAY-scaled share price.

Vault selector example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11 (format: <chain_id>:<vault_address>; replace with the target vault).

GET
/v0/vaults-v1/{vault-selector}/state

Path Parameters

vault-selector*string

Selector formatted as <chain_id>:<vault_address>. Example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11.

Format<chain_id>:<vault_address>

Response Body

application/json

BASE_URL="${CORE_REST_BASE_URL:-https://api.morpho.org}"MORPHO_API_KEY="<MORPHO_API_KEY>"VAULT_SELECTOR="<chain_id>:<vault_address>"curl -sS "${BASE_URL}/v0/vaults-v1/${VAULT_SELECTOR}/state" \  -H "accept: application/json" \  -H "x-api-key: ${MORPHO_API_KEY}"
{
  "data": {
    "address": "string",
    "chain_id": 1,
    "last_indexed_block": "string",
    "total_assets": "string",
    "total_supply": "string",
    "withdrawable_assets": "string"
  }
}